/*
 * RelojDigitalApplet.java
 *
 * Created on 23 de noviembre de 2006, 03:45 PM
 */

import java.awt.Image;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.*;

/**
 *
 * @author almunoz
 */
public class DigitalTimerApplet extends javax.swing.JApplet{
    Vector<Image> digitos;
    Image dosPuntos;
    javax.swing.Timer timer;
    
    public void init(){
        digitos = new Vector<Image>();
        for(int i=0; i<=9; i++){
            Image imgDigit = getImage(getClass().getResource("/digitos/digito"+i+".gif"));
            digitos.add(imgDigit);
        }
        dosPuntos = getImage(getClass().getResource("/digitos/puntos.gif"));
        this.setFont(new java.awt.Font("Verdana", 1, 14));
        timer = new javax.swing.Timer(1000, new RelojListener());
        timer.setInitialDelay(0);
    }
    
    class RelojListener implements ActionListener{
        public void actionPerformed(ActionEvent e) {
            repaint();
        }
    }
    
    public void start() {
        if(!timer.isRunning()){
            timer.start();
        }
    }
    
    public void stop() {
        if(timer.isRunning()){
            timer.stop();
        }
    }
    
    public void paint(Graphics g) {
        int reloj[] = new int[6];
        int px = 0;
        int py = 0;
        Calendar cal = Calendar.getInstance();
        String tiempo = (cal.get(Calendar.AM_PM) == Calendar.AM) ? "a.m." : "p.m.";
                
        reloj[0] = cal.get(Calendar.HOUR)/10;
        reloj[1] = cal.get(Calendar.HOUR)%10;
        reloj[2] = cal.get(Calendar.MINUTE)/10;
        reloj[3] = cal.get(Calendar.MINUTE)%10;
        reloj[4] = cal.get(Calendar.SECOND)/10;
        reloj[5] = cal.get(Calendar.SECOND)%10;
        
        g.drawImage(digitos.get(reloj[0]), px, py, this);
        g.drawImage(digitos.get(reloj[1]), px+10, py, this);
        g.drawImage(dosPuntos, px+20, py, this);
        g.drawImage(digitos.get(reloj[2]), px+27, py, this);
        g.drawImage(digitos.get(reloj[3]), px+37, py, this);
        g.drawImage(dosPuntos, px+47, py, this);
        g.drawImage(digitos.get(reloj[4]), px+54, py, this);
        g.drawImage(digitos.get(reloj[5]), px+64, py, this);
        g.drawString(tiempo, px+80, py+15);
    }
    
}
